import 'package:be_happy/core/result.dart';
import 'package:be_happy/domain/entities/active_scooter_order.dart';
import '../entities/scooter_order.dart';
import '../repositories/scooter_repository.dart';

class UpdateScooterOrderDataUsecase {
  final ScooterRepository repository;

  UpdateScooterOrderDataUsecase(this.repository);

  Future<Result<ActiveScooterOrder>> call({
    required int orderId,
  }) {
    return repository.updateScooterOrderData(
      orderId: orderId,
    );
  }
}
